#!/bin/bash
# keypress.sh : Détecte un appui sur une touche ("hot keys").

echo

ancienne_config_tty=$(stty -g)   # Sauvegarde de l'ancienne configuration (pourquoi ?).
stty -icanon
Appui_touche=$(head -c1)         # ou $(dd bs=1 count=1 2> /dev/null)
                                 # sur les systèmes non-GNU

echo
echo "La touche est \""$Appui_touche"\"."
echo

stty "$ancienne_config_tty"      # Restaure l'ancienne configuration.

# Merci, Stephane Chazelas.

exit 0
